Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.protocol.v5
Class ConsultLegalBasisType

    java.lang.Object
      be.fgov.ehealth.dics.protocol.v5.ConsultLegalBasisType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2024-09-05T10:50:02+02:00",
               comments="JAXB RI v2.3.6")
    public class ConsultLegalBasisType

extends Object
implements Serializable

Java class for ConsultLegalBasisType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultLegalBasisType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Title" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultTextType"/>
             <element name="Type" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="EffectiveOn" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="AdditionalFields" type="{urn:be:fgov:ehealth:dics:protocol:v5}AdditionalFieldsType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="LegalReference" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultLegalReferenceType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v5}validityPeriod"/>
           <attribute name="Key" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ConsultLegalBasisType()`

Method Summary
`List<AdditionalFieldsType>` | `getAdditionalFields()` Gets the value of the additionalFields property.
`org.joda.time.DateTime` | `getEffectiveOn()` Gets the value of the effectiveOn property.
`org.joda.time.DateTime` | `getEndDate()` Gets the value of the endDate property.
`String` | `getKey()` Gets the value of the key property.
`List<ConsultLegalReferenceType>` | `getLegalReferences()` Gets the value of the legalReferences property.
`org.joda.time.DateTime` | `getStartDate()` Gets the value of the startDate property.
`ConsultTextType` | `getTitle()` Gets the value of the title property.
`String` | `getType()` Gets the value of the type property.
`void` | `setEffectiveOn(org.joda.time.DateTime value)` Sets the value of the effectiveOn property.
`void` | `setEndDate(org.joda.time.DateTime value)` Sets the value of the endDate property.
`void` | `setKey(String value)` Sets the value of the key property.
`void` | `setStartDate(org.joda.time.DateTime value)` Sets the value of the startDate property.
`void` | `setTitle(ConsultTextType value)` Sets the value of the title property.
`void` | `setType(String value)` Sets the value of the type property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsultLegalBasisType

    public ConsultLegalBasisType()

Method Detail

### getTitle

    public ConsultTextType getTitle()

  Gets the value of the title property.

  Returns:
    possible object is `ConsultTextType`

### setTitle

    public void setTitle(ConsultTextType value)

  Sets the value of the title property.

  Parameters:
    `value` - allowed object is `ConsultTextType`

### getType

    public String getType()

  Gets the value of the type property.

  Returns:
    possible object is `String`

### setType

    public void setType(String value)

  Sets the value of the type property.

  Parameters:
    `value` - allowed object is `String`

### getEffectiveOn

    public org.joda.time.DateTime getEffectiveOn()

  Gets the value of the effectiveOn property.

  Returns:
    possible object is `String`

### setEffectiveOn

    public void setEffectiveOn(org.joda.time.DateTime value)

  Sets the value of the effectiveOn property.

  Parameters:
    `value` - allowed object is `String`

### getAdditionalFields

    public List<AdditionalFieldsType> getAdditionalFields()

  Gets the value of the additionalFields property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the additionalFields property.

  For example, to add a new item, do as follows:

          getAdditionalFields().add(newItem);

  Objects of the following type(s) are allowed in the list `AdditionalFieldsType`

### getLegalReferences

    public List<ConsultLegalReferenceType> getLegalReferences()

  Gets the value of the legalReferences property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the legalReferences property.

  For example, to add a new item, do as follows:

          getLegalReferences().add(newItem);

  Objects of the following type(s) are allowed in the list `ConsultLegalReferenceType`

### getKey

    public String getKey()

  Gets the value of the key property.

  Returns:
    possible object is `String`

### setKey

    public void setKey(String value)

  Sets the value of the key property.

  Parameters:
    `value` - allowed object is `String`

### getStartDate

    public org.joda.time.DateTime getStartDate()

  Gets the value of the startDate property.

  Returns:
    possible object is `String`

### setStartDate

    public void setStartDate(org.joda.time.DateTime value)

  Sets the value of the startDate property.

  Parameters:
    `value` - allowed object is `String`

### getEndDate

    public org.joda.time.DateTime getEndDate()

  Gets the value of the endDate property.

  Returns:
    possible object is `String`

### setEndDate

    public void setEndDate(org.joda.time.DateTime value)

  Sets the value of the endDate property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Package PERSMIDWIFE 3.27.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.